Package com.documentum.fc.client.search

# Class DfApplicationContext

java.lang.Object
com.documentum.fc.client.search.DfApplicationContext

public class DfApplicationContext extends Object
Using this class, the client application can pass information along with the query.

These information will be used in two cases:

- if the backend is xPlore and if xQuery is generated. These information will be recorded by xPlore in the audit event logged with the query. Audit log can be accessed and queried using xPlore Administrator.
- if FS2 is used, these properties (except queryType), are set as FS2 Query optional property. They can be retrieved by individual adapters by using the following method:

      getQuery().getOptionalProperty(propertyName)

  Application attributes are directly translated as optional property using the Map key as the property name. Application name is set with predefined property name 'APPLICATION_NAME'. Query type is not propagated to FS2.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfApplicationContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getApplicationAttributes()`
  Return a set of attribute name/value pairs
  `String`
  `getApplicationName()`
  Return the application name
  `String`
  `getQueryType()`
  Return the query type
  `void`
  `setApplicationAttributes(Map<String,String> applicationAttributes)`
  Set a map containing a set of attribute name/value pairs.
  `void`
  `setApplicationName(String applicationName)`
  Set the application name
  `void`
  `setQueryType(String queryType)`
  Set the query type

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DfApplicationContext

    public DfApplicationContext()

- ## Method Details

  - ### setApplicationName

    public void setApplicationName(String applicationName)
    Set the application name

  - ### setQueryType

    public void setQueryType(String queryType)
    Set the query type

  - ### setApplicationAttributes

    public void setApplicationAttributes(Map<String,String> applicationAttributes)
    Set a map containing a set of attribute name/value pairs. The attributes name must not contain a 'comma'.

  - ### getApplicationName

    public String getApplicationName()
    Return the application name
    Returns:

  - ### getQueryType

    public String getQueryType()
    Return the query type
    Returns:

  - ### getApplicationAttributes

    public Map<String,String> getApplicationAttributes()
    Return a set of attribute name/value pairs
    Returns: